dqjc.net
当前位置:首页 >> lD linux x86 64.so.2 >>

lD linux x86 64.so.2

如果是x86_64位系统的话,这个包在/lib64/下面。 如果不有安装glibc也是没有这个文件的,需要通过#yum install glibc -y来安装就有了。

src.rpm 用 --target=i686 就行了。rpmbuild 会自己调用对应的编译器和参数(前提是你的 rpm 内部设置都正确)。其实这里编译器的问题不大,主要是开发环境必须全。 但环境的问题在于,编译 32 和 64 是需要两套环境的。虽然 Linux 系统可以 32...

安装64位的glibc。直接到安装光盘,ISO里面去找。或者yum源什么的来安装,可以解决依赖性问题。

你的系统被黑了吧 这个/bin/ls是正常的么? liveCD启动,挂上硬盘查看一下吧

可以这样理解. 当和静态库一起编译后,可执行程序将会比较大,且用ldd查看的时候,结果为“not a dynamic executable ”. 当和动态库一起编译后, 可执行程序比较小, 用ldd查看的时候, 显示可执行程序依赖很多库, 比如 $ ldd a.out linux-vdso.so.1...

如果是x86_64位系统的话,这个包在/lib64/下面。 如果不有安装glibc也是没有这个文件的,需要通过#yum install glibc -y来安装就有了。

[root@ www.linuxidc.com server]# javac -version -bash: /server/jdk1.7/bin/javac: /lib/ld-linux.so.2: bad ELF interpreter: 没有那个文件或目录 解决: 找到系统光盘里的rpm 包,安装下面 glibc包 和nss包:(可能有一些不用也行,但还是...

redhat 6.0 64位 运行 ls命令提示 /lib/ld-linux.so.2: bad ELF interpreter:,网上都说安装软件报错,可是我没有安装任何软件。之前系统也是运行正常的

在/etc/yum.conf里面有 exclude选项,把这行删掉就可以了。云主机一般配置的都是纯净64位系统,yum源排除32位程序~希望对你有帮助

line 4: /home/liu/Desktop/OpenWrt-ImageBuilder-brcm47xx_generic-for-linux-x86_64/staging_dir/host/bin/bundled/lib/ld-linux-x86-64.so.2: cann.....

网站首页 | 网站地图
All rights reserved Powered by www.dqjc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com